#!/usr/bin/env bash

source change_direcotry.sh

# EF21 enhanced
nohup python run.py --rounds "100000" --client-sampling-type "all" --global-lr "1" --global-optimiser "sgd" --global-weight-decay "0.0" --number-of-local-iters "1" --batch-size "12" --local-lr "1" --local-optimiser "sgd" --local-weight-decay "0.0" --dataset "generated_for_quadratic_minimization" --dataset-generation-spec "homogeneous:0,mu:1.0,l:20,samples_per_client:12,clients:100,variables:500" --loss "mse" --model "linear" --metric "loss" --global-regulizer "none" --global-regulizer-alpha "0.0" --checkpoint-dir "../check_points" --do-not-save-eval-checkpoints --data-path "../data/" --compute-type "fp64" --gpu "-1" --num-workers-train "0" --num-workers-test "0" --deterministic --manual-init-seed "123" --manual-runtime-seed "456" --group-name "" --comment "" --hostname "desktop-n968j9a" --eval-every "1000" --eval-async-threads "0" --save-async-threads "0" --threadpool-for-local-opt "0" --run-id "5_job_id_1681919037_{now}" --algorithm "ef21" --algorithm-options "internal_sgd:full-gradient,n_multiplier:1,k_separable:3,stepsize_multiplier:1,th_stepsize_cvx:1,ef21_scaled:1,b_perurbation:2.0,remove_probability:0.0,reduce_samples_by:1.0,c_div_n:0.05,l_plus_min_selector:0.1" --logfile "../logs/16_log_1681919037.txt" --client-compressor "topk:1" --extra-track "full_gradient_norm_train,full_objective_value_train" --initialize-shifts-policy "zero" --wandb-key "" --wandb-project-name "" --loglevel "debug" --logfilter ".*" --out "Y2_job_id_1681919037_sel_0_99.bin" 1>Y2.stdout 2>Y2.stderr &
nohup python run.py --rounds "100000" --client-sampling-type "all" --global-lr "1" --global-optimiser "sgd" --global-weight-decay "0.0" --number-of-local-iters "1" --batch-size "12" --local-lr "1" --local-optimiser "sgd" --local-weight-decay "0.0" --dataset "generated_for_quadratic_minimization" --dataset-generation-spec "homogeneous:0,mu:1.0,l:20,samples_per_client:12,clients:100,variables:500" --loss "mse" --model "linear" --metric "loss" --global-regulizer "none" --global-regulizer-alpha "0.0" --checkpoint-dir "../check_points" --do-not-save-eval-checkpoints --data-path "../data/" --compute-type "fp64" --gpu "-1" --num-workers-train "0" --num-workers-test "0" --deterministic --manual-init-seed "123" --manual-runtime-seed "456" --group-name "" --comment "" --hostname "desktop-n968j9a" --eval-every "1000" --eval-async-threads "0" --save-async-threads "0" --threadpool-for-local-opt "0" --run-id "15_job_id_1681919037_{now}" --algorithm "ef21" --algorithm-options "internal_sgd:full-gradient,n_multiplier:1,k_separable:3,stepsize_multiplier:1,th_stepsize_cvx:1,ef21_scaled:1,b_perurbation:2.0,remove_probability:0.0,reduce_samples_by:1.0,c_div_n:0.5,l_plus_min_selector:0.1" --logfile "../logs/16_log_1681919037.txt" --client-compressor "topk:1" --extra-track "full_gradient_norm_train,full_objective_value_train" --initialize-shifts-policy "zero" --wandb-key "" --wandb-project-name "" --loglevel "debug" --logfilter ".*" --out "Y6_job_id_1681919037_sel_0_99.bin" 1>Y6.stdout 2>Y6.stderr &
nohup python run.py --rounds "100000" --client-sampling-type "all" --global-lr "1" --global-optimiser "sgd" --global-weight-decay "0.0" --number-of-local-iters "1" --batch-size "12" --local-lr "1" --local-optimiser "sgd" --local-weight-decay "0.0" --dataset "generated_for_quadratic_minimization" --dataset-generation-spec "homogeneous:0,mu:1.0,l:20,samples_per_client:12,clients:100,variables:500" --loss "mse" --model "linear" --metric "loss" --global-regulizer "none" --global-regulizer-alpha "0.0" --checkpoint-dir "../check_points" --do-not-save-eval-checkpoints --data-path "../data/" --compute-type "fp64" --gpu "-1" --num-workers-train "0" --num-workers-test "0" --deterministic --manual-init-seed "123" --manual-runtime-seed "456" --group-name "" --comment "" --hostname "desktop-n968j9a" --eval-every "1000" --eval-async-threads "0" --save-async-threads "0" --threadpool-for-local-opt "0" --run-id "16_job_id_168191903_{now}" --algorithm "ef21" --algorithm-options "internal_sgd:full-gradient,n_multiplier:1,k_separable:3,stepsize_multiplier:1,th_stepsize_cvx:1,ef21_scaled:1,b_perurbation:2.0,remove_probability:0.0,reduce_samples_by:1.0,c_div_n:0.9,l_plus_min_selector:0.1" --logfile "../logs/16_log_1681919037.txt" --client-compressor "topk:1" --extra-track "full_gradient_norm_train,full_objective_value_train" --initialize-shifts-policy "zero" --wandb-key "" --wandb-project-name "" --loglevel "debug" --logfilter ".*" --out "Y8_job_id_1681919037_sel_0_99.bin" 1>Y8.stdout 2>Y8.stderr &

# EF21 standart

nohup python run.py --rounds "100000" --client-sampling-type "all" --global-lr "1" --global-optimiser "sgd" --global-weight-decay "0.0" --number-of-local-iters "1" --batch-size "12" --local-lr "1" --local-optimiser "sgd" --local-weight-decay "0.0" --dataset "generated_for_quadratic_minimization" --dataset-generation-spec "homogeneous:0,mu:1.0,l:20,samples_per_client:12,clients:100,variables:500" --loss "mse" --model "linear" --metric "loss" --global-regulizer "none" --global-regulizer-alpha "0.0" --checkpoint-dir "../check_points" --do-not-save-eval-checkpoints --data-path "../data/" --compute-type "fp64" --gpu "-1" --num-workers-train "0" --num-workers-test "0" --deterministic --manual-init-seed "123" --manual-runtime-seed "456" --group-name "" --comment "" --hostname "desktop-n968j9a" --eval-every "1000" --eval-async-threads "0" --save-async-threads "0" --threadpool-for-local-opt "0" --run-id "2_job_id_1681919037_{now}" --algorithm "ef21" --algorithm-options "internal_sgd:full-gradient,n_multiplier:1,k_separable:3,stepsize_multiplier:1,th_stepsize_cvx:1,b_perurbation:2.0,remove_probability:0.0,reduce_samples_by:1.0,c_div_n:0.05,l_plus_min_selector:0.1" --logfile "../logs/16_log_1681919037.txt" --client-compressor "topk:1" --extra-track "full_gradient_norm_train,full_objective_value_train" --initialize-shifts-policy "zero" --wandb-key "" --wandb-project-name "" --loglevel "debug" --logfilter ".*" --out "Y1_job_id_1681919037_sel_0_99.bin" 1>Y1.stdout 2>Y1.stderr &
nohup python run.py --rounds "100000" --client-sampling-type "all" --global-lr "1" --global-optimiser "sgd" --global-weight-decay "0.0" --number-of-local-iters "1" --batch-size "12" --local-lr "1" --local-optimiser "sgd" --local-weight-decay "0.0" --dataset "generated_for_quadratic_minimization" --dataset-generation-spec "homogeneous:0,mu:1.0,l:20,samples_per_client:12,clients:100,variables:500" --loss "mse" --model "linear" --metric "loss" --global-regulizer "none" --global-regulizer-alpha "0.0" --checkpoint-dir "../check_points" --do-not-save-eval-checkpoints --data-path "../data/" --compute-type "fp64" --gpu "-1" --num-workers-train "0" --num-workers-test "0" --deterministic --manual-init-seed "123" --manual-runtime-seed "456" --group-name "" --comment "" --hostname "desktop-n968j9a" --eval-every "1000" --eval-async-threads "0" --save-async-threads "0" --threadpool-for-local-opt "0" --run-id "12_job_id_1681919037_{now}" --algorithm "ef21" --algorithm-options "internal_sgd:full-gradient,n_multiplier:1,k_separable:3,stepsize_multiplier:1,th_stepsize_cvx:1,b_perurbation:2.0,remove_probability:0.0,reduce_samples_by:1.0,c_div_n:0.5,l_plus_min_selector:0.1" --logfile "../logs/16_log_1681919037.txt" --client-compressor "topk:1" --extra-track "full_gradient_norm_train,full_objective_value_train" --initialize-shifts-policy "zero" --wandb-key "" --wandb-project-name "" --loglevel "debug" --logfilter ".*" --out "Y5_job_id_1681919037_sel_0_99.bin" 1>Y5.stdout 2>Y5.stderr &
nohup python run.py --rounds "100000" --client-sampling-type "all" --global-lr "1" --global-optimiser "sgd" --global-weight-decay "0.0" --number-of-local-iters "1" --batch-size "12" --local-lr "1" --local-optimiser "sgd" --local-weight-decay "0.0" --dataset "generated_for_quadratic_minimization" --dataset-generation-spec "homogeneous:0,mu:1.0,l:20,samples_per_client:12,clients:100,variables:500" --loss "mse" --model "linear" --metric "loss" --global-regulizer "none" --global-regulizer-alpha "0.0" --checkpoint-dir "../check_points" --do-not-save-eval-checkpoints --data-path "../data/" --compute-type "fp64" --gpu "-1" --num-workers-train "0" --num-workers-test "0" --deterministic --manual-init-seed "123" --manual-runtime-seed "456" --group-name "" --comment "" --hostname "desktop-n968j9a" --eval-every "1000" --eval-async-threads "0" --save-async-threads "0" --threadpool-for-local-opt "0" --run-id "18_job_id_1681919037_{now}" --algorithm "ef21" --algorithm-options "internal_sgd:full-gradient,n_multiplier:1,k_separable:3,stepsize_multiplier:1,th_stepsize_cvx:1,b_perurbation:2.0,remove_probability:0.0,reduce_samples_by:1.0,c_div_n:0.9,l_plus_min_selector:0.1" --logfile "../logs/16_log_1681919037.txt" --client-compressor "topk:1" --extra-track "full_gradient_norm_train,full_objective_value_train" --initialize-shifts-policy "zero" --wandb-key "" --wandb-project-name "" --loglevel "debug" --logfilter ".*" --out "Y7_job_id_1681919037_sel_0_99.bin" 1>Y7.stdout 2>Y7.stderr &

# GD

nohup python run.py --rounds "2000" --client-sampling-type "all" --global-lr "0" --global-optimiser "sgd" --global-weight-decay "0.0" --number-of-local-iters "1" --batch-size "12" --local-lr "1" --local-optimiser "sgd" --local-weight-decay "0.0" --dataset "generated_for_quadratic_minimization" --dataset-generation-spec "homogeneous:0,mu:1.0,l:20,samples_per_client:12,clients:100,variables:500" --loss "mse" --model "linear" --metric "loss" --global-regulizer "none" --global-regulizer-alpha "0.0" --checkpoint-dir "../check_points" --do-not-save-eval-checkpoints --data-path "../data/" --compute-type "fp64" --gpu "-1" --num-workers-train "0" --num-workers-test "0" --deterministic --manual-init-seed "123" --manual-runtime-seed "456" --group-name "" --comment "" --hostname "desktop-n968j9a" --eval-every "20" --eval-async-threads "0" --save-async-threads "0" --threadpool-for-local-opt "0" --run-id "2_job_id_1681919037_{now}" --algorithm "fedavg" --algorithm-options "internal_sgd:full-gradient,n_multiplier:1,k_separable:3,stepsize_multiplier:1,th_stepsize_cvx:1,b_perurbation:2.0,remove_probability:0.0,reduce_samples_by:1.0,c_div_n:0.05,l_plus_min_selector:0.1" --logfile "../logs/16_log_1681919037.txt" --client-compressor "ident" --extra-track "full_gradient_norm_train,full_objective_value_train" --initialize-shifts-policy "zero" --wandb-key "" --wandb-project-name "" --loglevel "debug" --logfilter ".*" --out "GD_1_job_id_1681919037_sel_0_99.bin" 1>GD_1.stdout 2>GD_1.stderr &
nohup python run.py --rounds "2000" --client-sampling-type "all" --global-lr "0" --global-optimiser "sgd" --global-weight-decay "0.0" --number-of-local-iters "1" --batch-size "12" --local-lr "1" --local-optimiser "sgd" --local-weight-decay "0.0" --dataset "generated_for_quadratic_minimization" --dataset-generation-spec "homogeneous:0,mu:1.0,l:20,samples_per_client:12,clients:100,variables:500" --loss "mse" --model "linear" --metric "loss" --global-regulizer "none" --global-regulizer-alpha "0.0" --checkpoint-dir "../check_points" --do-not-save-eval-checkpoints --data-path "../data/" --compute-type "fp64" --gpu "-1" --num-workers-train "0" --num-workers-test "0" --deterministic --manual-init-seed "123" --manual-runtime-seed "456" --group-name "" --comment "" --hostname "desktop-n968j9a" --eval-every "20" --eval-async-threads "0" --save-async-threads "0" --threadpool-for-local-opt "0" --run-id "12_job_id_1681919037_{now}" --algorithm "fedavg" --algorithm-options "internal_sgd:full-gradient,n_multiplier:1,k_separable:3,stepsize_multiplier:1,th_stepsize_cvx:1,b_perurbation:2.0,remove_probability:0.0,reduce_samples_by:1.0,c_div_n:0.5,l_plus_min_selector:0.1" --logfile "../logs/16_log_1681919037.txt" --client-compressor "ident" --extra-track "full_gradient_norm_train,full_objective_value_train" --initialize-shifts-policy "zero" --wandb-key "" --wandb-project-name "" --loglevel "debug" --logfilter ".*" --out "GD_5_job_id_1681919037_sel_0_99.bin" 1>GD_5.stdout 2>GD_5.stderr &
nohup python run.py --rounds "2000" --client-sampling-type "all" --global-lr "0" --global-optimiser "sgd" --global-weight-decay "0.0" --number-of-local-iters "1" --batch-size "12" --local-lr "1" --local-optimiser "sgd" --local-weight-decay "0.0" --dataset "generated_for_quadratic_minimization" --dataset-generation-spec "homogeneous:0,mu:1.0,l:20,samples_per_client:12,clients:100,variables:500" --loss "mse" --model "linear" --metric "loss" --global-regulizer "none" --global-regulizer-alpha "0.0" --checkpoint-dir "../check_points" --do-not-save-eval-checkpoints --data-path "../data/" --compute-type "fp64" --gpu "-1" --num-workers-train "0" --num-workers-test "0" --deterministic --manual-init-seed "123" --manual-runtime-seed "456" --group-name "" --comment "" --hostname "desktop-n968j9a" --eval-every "20" --eval-async-threads "0" --save-async-threads "0" --threadpool-for-local-opt "0" --run-id "18_job_id_1681919037_{now}" --algorithm "fedavg" --algorithm-options "internal_sgd:full-gradient,n_multiplier:1,k_separable:3,stepsize_multiplier:1,th_stepsize_cvx:1,b_perurbation:2.0,remove_probability:0.0,reduce_samples_by:1.0,c_div_n:0.9,l_plus_min_selector:0.1" --logfile "../logs/16_log_1681919037.txt" --client-compressor "ident" --extra-track "full_gradient_norm_train,full_objective_value_train" --initialize-shifts-policy "zero" --wandb-key "" --wandb-project-name "" --loglevel "debug" --logfilter ".*" --out "GD_7_job_id_1681919037_sel_0_99.bin" 1>GD_7.stdout 2>GD_7.stderr &
